Subject: [PATCH] Signal user-error on duplicate package refresh

From: Stefan Kangas <[email-masked]>
Date: Wed, 17 Jul 2019 20:02:25 +0200

In the "*Packages*" buffer (M-x package-list-packages), if I hit "r" many times
it will try to initiate more refreshes even if the first one has not finished
yet.  This is unnecessary and potentially confusing.

This patch makes it check if there is already an refresh in progress and signal
a user-error if there is one.

(I'll send the patch in a separate message once this is assigned a bug
number.)

Thanks,
Stefan Kangas